import { ReactChild } from 'react';
import { AlertVariants } from './const';
interface AlertProps {
    label?: ReactChild;
    variant: typeof AlertVariants[keyof typeof AlertVariants];
    timer: number;
    onChange?: (...args: any) => any;
    className?: string;
    zIndex?: number;
    children?: ReactChild;
}
export type { AlertProps as AlertProps };
