/// <reference types="react" />
export interface BreadcrumbProps<T extends React.ComponentType<any>> {
    mainText: string;
    Element: T;
    links: Array<React.ComponentProps<T>>;
}
/**
 * Pass a component to Element, for example, a gastby Link or React-router Link, or nextjs Link
 */
declare function Breadcrumb<T extends React.ComponentType<any>>({ mainText, Element, links, }: BreadcrumbProps<T>): JSX.Element;
declare namespace Breadcrumb {
    var displayName: string;
}
export { Breadcrumb };
