import { CSSProperties, FunctionComponent } from 'react';
interface IDarkModeSwitcher {
    className?: string;
    onChange?: (bool: boolean) => void;
    style?: CSSProperties;
    storageKey?: string;
}
/**
 * Size changes depending on font size. Use text-4xl for a good sized one.
 */
declare const DarkModeSwitcher: FunctionComponent<IDarkModeSwitcher>;
export { DarkModeSwitcher };
export type { IDarkModeSwitcher };
