/// <reference types="react" />
export interface FeedbackProps {
    handleFeedback: (rating: 1 | 2 | 3 | 4 | 5, text: string, badge: 'suggestion' | 'issue' | 'other' | undefined) => void;
    copies?: {
        feedback: string;
        title: string;
        placeholder: string;
        button: string;
        suggestion: string;
        issue: string;
        other: string;
    };
}
declare function Feedback({ handleFeedback, copies, }: FeedbackProps): JSX.Element;
declare namespace Feedback {
    var displayName: string;
}
export { Feedback };
