declare type dataType<T = any> = {
    value: T;
    text: string;
    Icon: SVGType;
};
interface IIconSelect<T = any> {
    data: dataType<T>[];
    longPlaceholder: string;
    smallPlaceholder: string;
    defaultValue: T;
    onChange: (data: dataType<T> | undefined) => void;
    windowWide?: number;
}
export type { dataType, IIconSelect };
