interface attachmentProp {
    position?: 'L' | 'R';
    description: string;
}
interface CommonProps {
    text?: string;
    name?: string;
    id?: string;
    disabled?: boolean;
    handleChange?: (value: string, isValid: boolean) => void;
    attachment?: attachmentProp;
    validator?: {
        test: (value: string) => boolean;
    };
}
interface NumberProps {
    type: 'number';
    value?: number;
    min?: number;
    max?: number;
    placeholder?: string;
}
interface TextProps {
    type: 'text';
    value?: string;
}
declare type InputProps = CommonProps & (NumberProps | TextProps);
export type { InputProps };
