import { ChangeEventHandler, DetailedHTMLProps, InputHTMLAttributes } from 'react';
interface LoadFileProps extends Omit<DetailedHTMLProps<InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, 'ref'> {
    srcFile?: string;
    title: string;
    titleClassName?: string;
    onChange?: ChangeEventHandler<HTMLInputElement>;
    onOpen?: (src: string) => void;
    disabled?: boolean;
    uploadIcon?: string;
    viewIcon?: string;
}
export type { LoadFileProps };
