/// <reference types="react" />
interface ILoginCopies {
    platform: string;
    title: string;
    description: string;
    labelEmail: string;
    placeholderEmail: string;
    labelPass: string;
    placeholderPass: string;
    titleButton: string;
    labelRemind: string;
    Child?: SVGType;
}
interface IFields {
    user: string;
    password: string;
    remember?: string;
}
interface LoginProps {
    request: {
        [key: string]: string;
    };
    copies?: ILoginCopies;
    setResponse: (response: Record<string, any>, remember?: boolean) => void;
    setError?: (error: any | false) => void;
    breakpoints?: {
        L: number;
        M: number;
    };
    fields?: IFields;
    key_recaptcha: string;
    children?: React.ReactNode;
}
declare const defaultTypes: {
    copies: {
        platform: string;
        title: string;
        description: string;
        labelEmail: string;
        placeholderEmail: string;
        labelPass: string;
        placeholderPass: string;
        titleButton: string;
        labelRemind: string;
    };
};
export { defaultTypes };
export type { LoginProps, ILoginCopies, IFields };
