/// <reference types="react" />
import { IFields, ILoginCopies } from '../data';
interface ILoginView {
    handleSubmit: (e: React.FormEvent) => Promise<void>;
    handleChange: ({ target }: React.ChangeEvent<HTMLInputElement>) => void;
    loading: boolean;
    children: React.ReactNode;
    breakpoints: {
        L: number;
        M: number;
    };
    copies: ILoginCopies;
    fields: IFields;
}
declare const LoginView: ({ handleSubmit, handleChange, loading, children, breakpoints, copies, fields, }: ILoginView) => JSX.Element;
export { LoginView };
