/// <reference types="react" />
interface ModalProps {
    children: React.ReactNode;
    isOpen?: boolean | unknown;
    titles?: {
        titleSuccess?: string;
        titleReject?: string;
    };
    events?: {
        onSuccess?: () => void;
        onReject?: () => void;
        onClose?: () => void;
    };
    buttonsOverContent?: boolean;
    className?: string;
    parent?: Element | null;
    modalKey?: string;
}
export type { ModalProps };
