/// <reference types="react" />
import { methodIcon } from './data';
export interface PaymentMethodProps {
    title: string;
    description: string;
    onClick?: () => void;
    icon: keyof typeof methodIcon;
}
declare function PaymentMethod({ title, description, icon, onClick, }: PaymentMethodProps): JSX.Element;
declare namespace PaymentMethod {
    var displayName: string;
}
export { PaymentMethod };
