import { ReactNode } from 'react';
interface PopMenuProps {
    OpenIcon?: SVGType;
    CloseIcon?: SVGType;
    children: ReactNode;
    copies?: {
        close?: string;
    };
    zIndex?: number;
}
/**
 * The pop-up scales according to the width of the children elements.
 * To avoid elements being centered, wrap the children elements inside a div.
 */
declare function PopMenu({ OpenIcon, CloseIcon, children, copies, zIndex, }: PopMenuProps): JSX.Element;
declare namespace PopMenu {
    var displayName: string;
}
export { PopMenu };
export type { PopMenuProps };
