/// <reference types="react" />
export interface LogCardProps {
    variant: "clients" | "normal";
    hour: string;
    title: string;
    assigned: string;
    onHold: string;
    name: string;
    phone: string;
    id: string;
    Icon: SVGType;
    copies: {
        keyValue: string;
        value: string;
        keyCityName: string;
        cityName: string;
        keyModalityName: string;
        modalityName: string;
        keyServiceTypeName: string;
        serviceTypeName: string;
        worker: string;
    };
}
export declare const LogCard: ({ variant, hour, title, assigned, onHold, name, phone, id, Icon, copies }: LogCardProps) => JSX.Element;
