/// <reference types="react" />
import { ServiceCardProps } from './dumbs';
declare const defaultCopies: {
    title: string;
    updated: string;
    timeDiff: string;
};
export interface ServicesStateProps {
    states: Omit<ServiceCardProps, 'copies' | 'className'>[];
    copies?: Partial<typeof defaultCopies>;
    className?: string;
    contentClassName?: string;
}
declare function ServicesState({ copies, states, className, contentClassName, }: ServicesStateProps): JSX.Element;
declare namespace ServicesState {
    var displayName: string;
}
export { ServicesState };
