/// <reference types="react" />
interface ITextAreaProps {
    title?: string;
    placeholder: string;
    handleChange: (value: string, valid: boolean) => void;
    validator?: {
        test: (value: string) => boolean;
    };
    value?: string;
}
declare const TextArea: import("react").ForwardRefExoticComponent<ITextAreaProps & import("react").RefAttributes<HTMLTextAreaElement>>;
export { TextArea };
export type { ITextAreaProps };
