/**
 * Cookies Config
 */
/** Cookie Structure
 * <nombre>=<valor>; expires=<fecha>; max-age=<segundos>; path=<ruta>; domain=<ruta>; secure; httponly;
 */
/**
 * @name createCookie() Create Cookie function
 * @param {*} name - Name of Cookie
 * @param {*} value - Value of Cookie
 * @param {*} mins - Days of Duration
 */
export declare const createCookie: (name: string, value: string, mins: number) => void;
/**
 * @name readCookie() read the selected cookie
 *
 */
export declare const readCookie: (name: string) => string | null;
/**
 * @name deleteCookie() remove cookie
 * @param {*} name Name of Cookie Delete
 */
export declare const deleteCookie: (name: string) => void;
