import { Row } from 'react-table';
declare const sortByDateTime: <T extends Record<string, string | number | Date>>(a: Row<T>, b: Row<T>, columnId: keyof T, desc: boolean) => 0 | 1 | -1;
declare const timeToService: (date: number, value: number) => void;
declare const formatDate: (value: number | string) => string;
declare const formatCurrency: (locales: string, currency: string, fractionDigits: number | undefined, number: number) => string;
declare const isTrivial: (value: any) => boolean;
declare const isEmpty: (value: any) => boolean;
declare const getExportFileBlob: <T extends {}>({ columns, data, fileType, fileName, }: {
    columns: {
        exportValue: string;
    }[];
    data: Row<T>[][];
    fileType: string;
    fileName: string;
}) => boolean;
export { isEmpty, isTrivial, formatCurrency, formatDate, sortByDateTime, timeToService, getExportFileBlob, };
export * from './hooks';
