/// <reference types="react" />
export interface IBagTransactionSummary {
    copies: {
        currentBalanceTitle: string;
        deductTitle: string;
        balanceTitle: string;
    };
    currentBalance: number | string;
    deduct: number | string;
    balance: number | string;
    region?: string;
    currency?: string;
}
declare function BagTransactionSummary({ copies: { currentBalanceTitle, deductTitle, balanceTitle }, currentBalance, deduct, balance, region, currency, }: IBagTransactionSummary): JSX.Element;
declare namespace BagTransactionSummary {
    var displayName: string;
}
export { BagTransactionSummary };
