/// <reference types="react" />
export interface CounterProps {
    variant?: 'v' | 'h' | 'qh';
    onChange: (val: number) => void;
    minVal?: number;
    maxVal?: number;
    initialVal: number;
}
/**
 * This item exposes two variants: A vertical one ('v' default) and an horizontal one ('h').
 */
declare function Counter({ variant, onChange, minVal, maxVal, initialVal, }: CounterProps): JSX.Element;
declare namespace Counter {
    var displayName: string;
}
export { Counter };
