/// <reference types="react" />
import { creditCardIcon } from './data';
export interface ICreditCard {
    icon: keyof typeof creditCardIcon;
    name: string;
    number: string;
    date: string;
    selected?: boolean;
    onClick?: () => void;
}
declare function CreditCard({ icon, name, number, date, selected, onClick, }: ICreditCard): JSX.Element;
declare namespace CreditCard {
    var displayName: string;
}
export { CreditCard };
