/// <reference types="react" />
export interface InputAutocompleteProps<T extends Record<string, string> = any> {
    data: T;
    search_attributeFromData: keyof T;
    icon_attributeFromData: keyof T;
    textToDisplay_attributeFromData: keyof T;
    handleSelected: (selected: T) => void;
}
declare function InputAutocomplete({ handleSelected, search_attributeFromData, icon_attributeFromData, textToDisplay_attributeFromData, data, }: InputAutocompleteProps): JSX.Element;
declare namespace InputAutocomplete {
    var displayName: string;
}
export { InputAutocomplete };
