/// <reference types="react" />
import { lineIcons } from './data';
export interface LineCardProps {
    icon: keyof typeof lineIcons | SVGType | string;
    title: string;
    description: string;
    onClick: () => void;
    fallback?: string | SVGType;
}
declare function LineCard({ icon, title, description, onClick, fallback, }: LineCardProps): JSX.Element;
declare namespace LineCard {
    var displayName: string;
}
export { LineCard };
