declare const themeList: {
    silver: ({
        elementType: string;
        stylers: {
            color: string;
        }[];
        featureType?: undefined;
    } | {
        elementType: string;
        stylers: {
            visibility: string;
        }[];
        featureType?: undefined;
    } | {
        featureType: string;
        elementType: string;
        stylers: {
            color: string;
        }[];
    })[];
    dark: ({
        elementType: string;
        stylers: {
            color: string;
        }[];
        featureType?: undefined;
    } | {
        elementType: string;
        stylers: {
            visibility: string;
        }[];
        featureType?: undefined;
    } | {
        featureType: string;
        elementType: string;
        stylers: {
            color: string;
        }[];
    } | {
        featureType: string;
        stylers: {
            visibility: string;
        }[];
        elementType?: undefined;
    })[];
    default: never[];
};
declare const getTheme: (key: keyof typeof themeList) => ({
    elementType: string;
    stylers: {
        color: string;
    }[];
    featureType?: undefined;
} | {
    elementType: string;
    stylers: {
        visibility: string;
    }[];
    featureType?: undefined;
} | {
    featureType: string;
    elementType: string;
    stylers: {
        color: string;
    }[];
})[] | ({
    elementType: string;
    stylers: {
        color: string;
    }[];
    featureType?: undefined;
} | {
    elementType: string;
    stylers: {
        visibility: string;
    }[];
    featureType?: undefined;
} | {
    featureType: string;
    elementType: string;
    stylers: {
        color: string;
    }[];
} | {
    featureType: string;
    stylers: {
        visibility: string;
    }[];
    elementType?: undefined;
})[] | never[];
export { getTheme, themeList };
