/// <reference types="react" />
export interface ISelectBag {
    Icon: SVGType;
    copies: {
        text_collapsedMode: string;
        textDescription_expandedMode: string;
        text_placeHolder: string;
    };
    handleChange: (value: string, isValid: boolean) => void;
    callback: () => void;
}
declare function SelectBag({ Icon, copies, handleChange, callback, }: ISelectBag): JSX.Element;
declare namespace SelectBag {
    var displayName: string;
}
export { SelectBag };
