/// <reference types="react" />
import { StatusIcons } from '../data';
export interface ServiceCardProps {
    icon: keyof typeof StatusIcons | SVGType;
    title: string;
    date: Date | number | string;
    elapsed?: string;
    className?: string;
    copies: {
        updated: string;
        timeDiff: string;
    };
}
export declare const ServiceCard: ({ icon, title, date, className, elapsed, copies: { updated, timeDiff }, }: ServiceCardProps) => JSX.Element;
