/// <reference types="react" />
interface ISlideImageSelector {
    onChange: (selected: string | number) => void;
    data: Array<{
        image: string;
        caption: string;
        value: string | number;
    }>;
    className?: string;
}
declare function SlideImageSelector({ data, onChange, className, }: ISlideImageSelector): JSX.Element;
declare namespace SlideImageSelector {
    var displayName: string;
}
export { SlideImageSelector };
export type { ISlideImageSelector };
